Subject: RE: [PATCH RFC 0/3] Introduce Rust and announce that it will become mandatorty

From: <[email-masked]>
Date: Sat, 20 Sep 2025 23:18:12 -0400

On September 20, 2025 9:24 PM, Ezekiel Newren wrote:
>On Sat, Sep 20, 2025 at 7:15 PM <[email-masked]> wrote:
>> >What I meant was: Is there a compiler that can be compiled to both
>> >NonStop and Linux. What is the name of the C++17 compiler that you
>> >use on NonStop? Is there a Linux or Windows cross compiler that can target
>NonStop?
>>
>> We have c99, c11, c17. The only Windows cross compiler is c99, but
>> that requires a license from HPE that I cannot provide. There are not
>> non-commercial compilers available that can be used to cross compile.
>> Also, standard configure processing does not work on Windows for NonStop.
>
>If C/C++ can be cross compiled from Windows to a NonStop target, then why does
>Git need to run on NonStop itself? Why couldn't you use Git on Windows and then
>copy the compiled executables to your NonStop targets?

This is a much longer discussion. Windows is simply not a trusted platform. NonStop
is. Building on NonStop provides a virus free/malware free container that passes audit
requirements for financial transactions that cannot be demonstrated on Windows. I
have customers who refuse all attempts at building anything on NonStop.

In addition, production control cannot be done from windows. There is more to
life than Dev in DevSecOps, which is the only thing Windows builds gives you. Unless
git runs on NonStop, production artifacts (scripts, configuration, deployed objects)
cannot be audited and controlled.